Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_UIOP_Endpoint Class Reference

TAO_UIOP_Endpoint. More...

`#include <UIOP_Endpoint.h>`

Inheritance diagram for TAO_UIOP_Endpoint

[legend]
Collaboration diagram for TAO_UIOP_Endpoint:

[legend]
List of all members.

## Public Methods
| TAO_UIOP_Endpoint (void)
| Default constructor.
| TAO_UIOP_Endpoint (const ACE_UNIX_Addr &addr)
| Constructor.
| ~TAO_UIOP_Endpoint (void)
| Destructor.
virtual TAO_Endpoint* | next (void)
virtual int | addr_to_string (char *buffer, size_t length)
virtual void | reset_hint (void)
virtual TAO_Endpoint* | duplicate (void)
| Returns a copy of <this>.
CORBA::Boolean | is_equivalent (const TAO_Endpoint *other_endpoint)
| Return true if this endpoint is equivalent to <other_endpoint>. Two endpoints are equivalent iff their rendezvous points are the same.
virtual CORBA::ULong | hash (void)
| Return a hash value for this object.
const ACE_UNIX_Addr& | object_addr (void) const
| Return a reference to the <object_addr>.
const char* | rendezvous_point (void) const
| Return a pointer to the rendezvous point string. This object maintains ownership of the returned string.
## Private Attributes
ACE_UNIX_Addr | object_addr_
| Cached instance of for use in making invocations, etc.
TAO_UIOP_Endpoint* | next_
| UIOP Endpoints can be stringed into a list. Return the next endpoint in the list, if any.
## Friends
class | TAO_UIOP_Profile

## Detailed Description

TAO_UIOP_Endpoint.

UIOP-specific implementation of PP Framework Endpoint interface.

## Constructor & Destructor Documentation

TAO_UIOP_Endpoint::TAO_UIOP_Endpoint ( | void )

| Default constructor.

TAO_UIOP_Endpoint::TAO_UIOP_Endpoint ( | const ACE_UNIX_Addr & addr )

| Constructor.

TAO_UIOP_Endpoint::~TAO_UIOP_Endpoint ( | void )

| Destructor.

## Member Function Documentation

virtual int TAO_UIOP_Endpoint::addr_to_string ( | char * buffer,
| size_t length )`[virtual]`

| Reimplemented from TAO_Endpoint.

TAO_Endpoint * TAO_UIOP_Endpoint::duplicate ( | void )`[virtual]`

| Returns a copy of <this>. Reimplemented from TAO_Endpoint.

CORBA::ULong TAO_UIOP_Endpoint::hash ( | void )`[virtual]`

| Return a hash value for this object. Reimplemented from TAO_Endpoint.

CORBA::Boolean TAO_UIOP_Endpoint::is_equivalent ( | const TAO_Endpoint * other_endpoint )

| Return true if this endpoint is equivalent to <other_endpoint>. Two endpoints are equivalent iff their rendezvous points are the same. Reimplemented from TAO_Endpoint.

virtual TAO_Endpoint* TAO_UIOP_Endpoint::next ( | void )`[virtual]`

| Reimplemented from TAO_Endpoint.

const ACE_UNIX_Addr & TAO_UIOP_Endpoint::object_addr ( | void ) const

| Return a reference to the <object_addr>.

const char * TAO_UIOP_Endpoint::rendezvous_point ( | void ) const

| Return a pointer to the rendezvous point string. This object maintains ownership of the returned string.

virtual void TAO_UIOP_Endpoint::reset_hint ( | void )`[virtual]`

| Reimplemented from TAO_Endpoint.

## Friends And Related Function Documentation

class TAO_UIOP_Profile`[friend]`

## Member Data Documentation

TAO_UIOP_Endpoint * TAO_UIOP_Endpoint::next_`[private]`

| UIOP Endpoints can be stringed into a list. Return the next endpoint in the list, if any.

ACE_UNIX_Addr TAO_UIOP_Endpoint::object_addr_`[private]`

| Cached instance of for use in making invocations, etc.

The documentation for this class was generated from the following file:

- UIOP_Endpoint.h